| OpenCV 3.4.7 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::TrackerBoosting Class Reference
Tracking API

the Boosting tracker More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerBoosting:

## Classes
struct | Params

## Public Member Functions
virtual | ~TrackerBoosting () CV_OVERRIDE
Public Member Functions inherited from cv::Tracker
virtual | ~Tracker () CV_OVERRIDE
bool | init (InputArray image, const Rect2d &boundingBox)
| Initialize the tracker with a known bounding box that surrounded the target. More...
virtual void | read (const FileNode &fn) CV_OVERRIDE=0
| Reads algorithm parameters from a file storage. More...
bool | update (InputArray image, Rect2d &boundingBox)
| Update the tracker, find the new most likely bounding box for the target. More...
virtual void | write (FileStorage &fs) const CV_OVERRIDE=0
| Stores algorithm parameters in a file storage. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< TrackerBoosting > | create (const TrackerBoosting::Params &parameters)
| Constructor. More...
static Ptr< TrackerBoosting > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Tracker
virtual bool | initImpl (const Mat &image, const Rect2d &boundingBox)=0
virtual bool | updateImpl (const Mat &image, Rect2d &boundingBox)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const
Protected Attributes inherited from cv::Tracker
Ptr< TrackerFeatureSet > | featureSet
bool | isInit
Ptr< TrackerModel > | model
Ptr< TrackerSampler > | sampler

## Detailed Description

the Boosting tracker

This is a real-time object tracking based on a novel on-line version of the AdaBoost algorithm. The classifier uses the surrounding background as negative examples in update step to avoid the drifting problem. The implementation is based on [80] .

## Constructor & Destructor Documentation

## § ~TrackerBoosting()

virtual cv::TrackerBoosting::~TrackerBoosting | ( |  | ) |
| inline virtual

## Member Function Documentation

## § create() [1/2]

static Ptr<TrackerBoosting> cv::TrackerBoosting::create | ( | const TrackerBoosting::Params & | parameters | ) |
| static

Python:
| retval | = | cv.TrackerBoosting_create( |  | )

Constructor.

Parameters

  parameters | BOOSTING parameters TrackerBoosting::Params

## § create() [2/2]

static Ptr<TrackerBoosting> cv::TrackerBoosting::create | ( |  | ) |
| static

Python:
| retval | = | cv.TrackerBoosting_create( |  | )

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp